
logLevel: info
logDestinations: [stdout]

readTimeout: 10s
writeTimeout: 10s
writeQueueSize: 1024
udpMaxPayloadSize: 1452

api: true
apiAddress: :9997
metrics: true
metricsAddress: :9998

rtmp: true
rtmpAddress: :1935

hls: true
hlsAddress: :8888
hlsAlwaysRemux: true
hlsVariant: lowLatency
hlsSegmentCount: 7
hlsSegmentDuration: 1s
hlsPartDuration: 250ms
hlsMuxerCloseAfter: 30s

webrtc: true
webrtcAddress: :8889
webrtcLocalUDPAddress: :8189
webrtcIPsFromInterfaces: true

srt: true
srtAddress: :8890

authMethod: http
authHTTPAddress: http://backend:5000/api/mediamtx/auth
authHTTPExclude:
  - action: api
  - action: metrics
  - action: pprof

pathDefaults:
  source: publisher
  overridePublisher: true

paths:
  all_others:
